Skip to main content
POST
@firma-dev/sdk

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Template ID to duplicate

Body

application/json
name
string

Custom name for the new signing request (defaults to template name)

Maximum string length: 255

Response

Template duplicated successfully into a new signing request

Duplicated template details

id
string<uuid>
required

ID of the newly created signing request

name
string
required

Name of the new signing request

status
string
required

Status of the new signing request

Example:

"draft"

workspace_id
string<uuid>
required

Workspace the signing request belongs to

description
string | null

Description of the new signing request

created_date
string<date-time>

Creation timestamp

seal_participants
object[]

Seal participants of the new signing request, persisted entries (the shape of the create operations, except that order can be null) with dropped: false, then dropped entries. Answered when the company is not enabled for multi-document documents: always present, an empty array when the template has no seal participants. Not answered when the company is enabled for multi-document documents.

A persisted seal participant of the duplicated signing request: every key of SealParticipantApi, plus dropped: false. order is normally an integer and is null only if the position was not reported when the participant was saved.